Bug 195624 - There does not appear to be a way to blacklist usb-storage
There does not appear to be a way to blacklist usb-storage
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-15 19:37 EDT by Marc Davignon
Modified: 2015-01-04 17:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 17:46:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc Davignon 2006-06-15 19:37:39 EDT
Description of problem:

Other kernel modules can be blacklisted by adding an entry like:
blacklist i8xx_tco
in /etc/modprobe.d/blacklist however adding
blacklist usb-storage
is not enough.
You also have to add
blacklist uhci-hcd
blacklist ehci-hcd
which of coarse causes all usb devices to stop working.

In FC2 adding usb-storage to /etc/hotplug/blacklist was enough.

Version-Release number of selected component (if applicable):

kernel-smp-2.6.16-1.2133_FC5

How reproducible:
always

Steps to Reproduce:
1. add "blacklist usb-storage" to /etc/modprobe.d/blacklist
2. insert usb flash drive
3. usb-storage loads anyway
  
Actual results:


Expected results:
lsmod should not return usb-storage in listing

Additional info:
Comment 1 Pete Zaitcev 2006-06-15 20:09:50 EDT
This may have something to do with usb-storage loaded by libusual on FC-5.
But I cannot say what it is right away, because libusual only does a
standard call to request_module(), which has to be a subject to blacklists.
The answer is somewhere in the source of module-init-tools.
Comment 2 Dave Jones 2006-10-16 17:58:44 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Dave Jones 2006-11-24 17:46:44 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.